<?php
error_reporting(0);
ini_set("display_errors", 0 );
header('Content-Type: text/html; charset=utf-8');
include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");

?>
<!doctype html>
<html ng-app="myApp">
<head>
<title>CHECKLIST</title>
<link href="inclusos/css_precopratico.css" rel="stylesheet" type="text/css">

<style type="text/css">
.TextoVerdeMax {
	color: #060;
}
body {
	background-color: #FFFFFF;
}
</style>
<meta charset="utf-8">
</head>

<body>
  <table width="99%" border="0" align="center" cellpadding="3" cellspacing="0">
    <?php
		$busca = $_POST['busca'];
			$cor_fundo = "#FFFFFF";			  
		  if(empty($busca)){
			 	$seleciona = Seleciona("obras", "", "ORDER BY titulo ASC");
		  }else{
			  	$seleciona = Seleciona("obras", "WHERE titulo LIKE '%".$busca."%'", "ORDER BY titulo ASC");
		  }
			while($linha=mysql_fetch_array($seleciona)){
				$id_obra = $linha['idobra'];
				$id_cliente = $linha['idcliente'];
				
				//SELECIONA NOME CATEGORIA
				
			 	$SelecionaCliente = Seleciona("clientes", "WHERE CodCli='$id_cliente'", "");	
				while($clientes=mysql_fetch_array($SelecionaCliente)){
					$NomeCliente = $clientes['Fantasia'];
				}
			
			
			if($cor_fundo == "#FFFFFF"){
				$cor_fundo = "#E4E4E4";
			}else{
				$cor_fundo = "#FFFFFF";
			}
			
			//CALCULA QTDE DE SERVIÇOS
			
			$SelecionaServicosTotal = Seleciona("obras_servicos", "WHERE idobra='$id_obra'", "");	
			$TotalServico = mysql_num_rows($SelecionaServicosTotal);

			$SelecionaServicosConcluido = Seleciona("obras_servicos", "WHERE idobra='$id_obra' AND status='Concluido'", "");	
			$TotalServicoConcluido = mysql_num_rows($SelecionaServicosConcluido);			
			
			$PercentualAtual = 100 - ((($TotalServico - $TotalServicoConcluido) / $TotalServico) * 100);
			$PercentualFinal = intval($PercentualAtual);
			
			if($PercentualFinal == 100){
				$cor_percentual = "#7AE846";
			}else{
				$cor_percentual = "#BD3739";
			}
		?>
    <tr class="TextoCinzaPequeno" bgcolor="<?php echo $cor_fundo;?>" onmouseover="javascript:this.style.backgroundColor='#CCCCCC'" onmouseout="javascript:this.style.backgroundColor='<?php echo $cor_fundo;?>'" style="cursor:pointer;" onclick="location.href='listar_operacional_checklist_mobile.php?idobra=<?php echo $linha['idobra'];?>';">
      <td width="2%"><?php echo $linha['idobra'];?></td>
      <td width="20%" height="30"><?php echo $linha['titulo'];?></td>
      <td width="10%" align="left"><?php echo $NomeCliente;?></td>
      <td width="5%" align="right"><img src="img/icone_detalhe.gif" width="22" height="24" border="0" /></td>
    </tr>
    <?php 
		$PercentualAtual = "";
		}?>
  </table>

</body>
</html>
  